FWStruct::Entry Struct Reference

the definition of a zone in a FullWrite file More...

`#include <FWStruct.hxx>`

Inheritance diagram for FWStruct::Entry:

## Public Member Functions

| Entry (MWAWInputStreamPtr input)
| ~Entry ()
bool | valid () const
| returns true if the entry and the input is valid More...
void | update ()
| create a inputstream, ... if needed More...
void | closeDebugFile ()
| write the debug file, ... More...
libmwaw::DebugFile & | getAsciiFile ()
| returns a reference to the ascii file More...
bool | operator== (const Entry &a) const
| basic operator== More...
bool | operator!= (const Entry &a) const
| basic operator!= More...
Public Member Functions inherited from MWAWEntry
| MWAWEntry ()
| constructor More...
virtual | ~MWAWEntry ()
void | setBegin (long off)
| sets the begin offset More...
void | setLength (long l)
| sets the zone size More...
void | setEnd (long off)
| sets the end offset More...
long | begin () const
| returns the begin offset More...
long | end () const
| returns the end offset More...
long | length () const
| returns the length of the zone More...
bool | valid () const
| returns true if the zone length is positive More...
bool | operator== (const MWAWEntry &a) const
| basic operator== More...
bool | operator!= (const MWAWEntry &a) const
| basic operator!= More...
bool | isParsed () const
| a flag to know if the entry was parsed or not More...
void | setParsed (bool ok=true) const
| sets the flag m_parsed to true or false More...
void | setType (std::string const &newType)
| sets the type of the entry: BTEP,FDPP, BTEC, FDPC, PLC , TEXT, ... More...
std::string const & | type () const
| returns the type of the entry More...
bool | hasType (std::string const &typ) const
| returns true if the type entry == type More...
void | setName (std::string const &nam)
| sets the name of the entry More...
std::string const & | name () const
| name of the entry More...
bool | hasName (std::string const &nam) const
| checks if the entry name is equal to name More...
int | id () const
| returns the id More...
void | setId (int newId)
| sets the id More...
std::string const & | extra () const
| retrieves the extra string More...
void | setExtra (std::string const &s)
| sets the extra string More...

## Public Attributes

MWAWInputStreamPtr | m_input
| the input More...
int | m_nextId
| the next entry id More...
int | m_type
| the zone type id find in DStruct More...
int | m_typeId
| the type id (find in FZoneFlags) More...
int | m_values [3]
| some unknown values More...
WPXBinaryData | m_data
| the main data ( if the entry comes from several zone ) More...
shared_ptr< libmwaw::DebugFile > | m_asciiFile
| the debug file More...

## Private Member Functions

| Entry (Entry const &)
Entry & | operator= (Entry const &)

## Friends

std::ostream & | operator<< (std::ostream &o, Entry const &entry)
| operator<< More...

## Additional Inherited Members

Protected Attributes inherited from MWAWEntry
long | m_begin
| the begin of the entry. More...
long | m_length
| the size of the entry More...
std::string | m_type
| the entry type More...
std::string | m_name
| the name More...
int | m_id
| an identificator More...
bool | m_parsed
| a bool to store if the entry is or not parsed More...
std::string | m_extra
| an extra string More...

## Detailed Description

the definition of a zone in a FullWrite file

## Constructor & Destructor Documentation

FWStruct::Entry::Entry | ( | MWAWInputStreamPtr | input | ) |

FWStruct::Entry::~Entry | ( |  | ) |

FWStruct::Entry::Entry | ( | Entry const & |  | ) |

private

## Member Function Documentation

void FWStruct::Entry::closeDebugFile | ( |  | ) |

write the debug file, ...

Referenced by ~Entry().

libmwaw::DebugFile & FWStruct::Entry::getAsciiFile | ( |  | ) |

returns a reference to the ascii file

bool FWStruct::Entry::operator!= | ( | const Entry & | a | ) | const

inline

basic operator!=

Entry& FWStruct::Entry::operator= | ( | Entry const & |  | ) |

private

bool FWStruct::Entry::operator== | ( | const Entry & | a | ) | const

basic operator==

Referenced by operator!=().

void FWStruct::Entry::update | ( |  | ) |

create a inputstream, ... if needed

bool FWStruct::Entry::valid | ( |  | ) | const

returns true if the entry and the input is valid

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Entry const & | entry
| ) |  |

friend

operator<<

## Member Data Documentation

shared_ptr<libmwaw::DebugFile> FWStruct::Entry::m_asciiFile

the debug file

Referenced by closeDebugFile(), getAsciiFile(), and update().

WPXBinaryData FWStruct::Entry::m_data

the main data ( if the entry comes from several zone )

Referenced by closeDebugFile(), and update().

MWAWInputStreamPtr FWStruct::Entry::m_input

the input

Referenced by operator==(), update(), and valid().

int FWStruct::Entry::m_nextId

the next entry id

Referenced by operator==().

int FWStruct::Entry::m_type

the zone type id find in DStruct

Referenced by FWStruct::operator<<(), and operator==().

int FWStruct::Entry::m_typeId

the type id (find in FZoneFlags)

Referenced by FWStruct::operator<<(), operator==(), and update().

int FWStruct::Entry::m_values[3]

some unknown values

Referenced by Entry(), FWStruct::operator<<(), and operator==().

The documentation for this struct was generated from the following files:

- FWStruct.hxx
- FWStruct.cxx